Yes, you will continue to have access to the old (V1, V2 or non-Plus) versions after you update. Your system will see the new versions as completely separate plugins, so if you want to replace the old ones with the new ones in existing sessions, you will have to do it manually. But of course, there's no reason to stop using the old versions and you can mix and match as you see fit.